Program NapTeszt;
  Uses
    Crt,NapUnit;
  Const
    CrLf = #10#13;
  Var
    ma,holnap,tegnap:TNap;

Procedure DeklaracioUtan(Const n:TNap);
Begin
  {A deklarci utni kezdllapot:}
  AllapotKi(' Deklarci utn=',n,CrLF);
End;

Procedure Axioma_0;
  Var
    sz:Word;
    mn,mx:TNap;
Begin
  Writeln('0. axima ----------------------------------');
  {A deklarci utni kezdllapot:}
  DeklaracioUtan(mn); DeklaracioUtan(mx);
  {deklarcik utn inicializlsa}
  Inic(mn); Inic(mx);
  {a 0. axima vgrehajtsa:}
  sz:=Szamossag; Min(mn); Max(mx);
  {a 0. aximban szereplk llapotkirsa:}
  Writeln('Szmossg''TNap=',sz);
  AllapotKi(' Min''TNap=',mn,CrLF);
  AllapotKi(' Max''TNap=',mx,CrLF);
End;

Procedure Axioma_1;
  Var
    a:TNap;
Begin
  Writeln('1. axima ----------------------------------');
  {A deklarci utni kezdllapot:}
  DeklaracioUtan(a);
  {deklarci utn, inicializls:}
  Inic(a);
  {az 1. axima vgrehajtsa:}
  Inic(a);
  {az 1. aximban szereplk llapotkirsa:}
  AllapotKi(' Ltrehozs utn=',a,CrLF);
End;

{... a 2. axima kivitelezhetetlen, nem foglalkozunk vele ...}

Procedure Axioma_3;
  Var
    elo,kov:TNap;
Begin
  Writeln('3. axima ----------------------------------');
  {A deklarci utni kezdllapot:}
  DeklaracioUtan(elo); DeklaracioUtan(kov);
  {deklarcik utn, inicializls:}
  Inic(elo); Inic(kov);
  {a 3. axima vgrehajtsa:}
  Elozo(Hetfo,elo); Kovetkezo(Vasarnap,kov);
  {a 3. aximban szereplk llapotkirsa:}
  AllapotKi(' Elozo(Hetfo)=',elo,CrLF);
  AllapotKi(' Kovetkezo(Vasarnap)=',kov,CrLF);
End;

Procedure Axioma_4;
  Var
    n,kov,elo:TNap;
    nK:Integer;
Begin
  Writeln('4. axima ----------------------------------');
  {A deklarci utni kezdllapot:}
  DeklaracioUtan(n); DeklaracioUtan(kov); DeklaracioUtan(elo);
  {deklarcik utn, inicializls:}
  Inic(n); Inic(elo); Inic(kov);
  {a 4. axima vgrehajtsa:}
  n:=Hetfo;
  Kovetkezo(n,kov);
  {a 4. aximban szereplk llapotkirsa:}
  AllapotKi(' n=',n,'');
  AllapotKi(' Kovetkezo(n)=',kov,CrLf);
  For nK:=1 to 5 do {keddtl szombatig}
  Begin
    n.felsKod:=nK;
    Kovetkezo(n,kov); Elozo(n,elo);
    {a 4. aximban szereplk llapotkirsa:}
    AllapotKi(' n=',n,'');
    AllapotKi(' Kovetkezo(n)=',kov,'');
    AllapotKi(' Elozo(n)=',elo,CrLF);
  End;
  n:=Vasarnap;
  Elozo(n,elo);
  {a 4. aximban szereplk llapotkirsa:}
  AllapotKi(' n=',n,'');
  AllapotKi(' Elozo(n)=',elo,CrLf);
  {hiba-vizsglat:}
  Writeln('Hibavizsglatok:');
  n:=Hetfo; Elozo(n,elo);
  AllapotKi(' n=',n,'');
  AllapotKi(' Elozo(n)=',elo,CrLf);
  n:=Vasarnap; Kovetkezo(n,kov);
  AllapotKi(' n=',n,'');
  AllapotKi(' Kovetkezo(n)=',kov,CrLf);
End;

Begin
  ClrScr;
  Axioma_0;
  Axioma_1;
  Axioma_3;
  Axioma_4;

End.
