Unit NapUnit;

 Interface

  Type
    TNapK=0..6;
    TNap=Record felsKod:TNapK; hiba:Boolean End;
  Const
    Hetfo:TNap=(felsKod:0;hiba:False);
    Kedd:TNap=(felsKod:1;hiba:False);
    Szerda:TNap=(felsKod:2;hiba:False);
    Csutortok:TNap=(felsKod:3;hiba:False);
    Pentek:TNap=(felsKod:4;hiba:False);
    Szombat:TNap=(felsKod:5;hiba:False);
    Vasarnap:TNap=(felsKod:6;hiba:False);

  Procedure AllapotKi(Const sElo:String; Const n:TNap;
                    Const sUto:String);

  Procedure Min(Var minKi:TNap);
    {Ef: -
     Uf: minKi=TNap(0,Hamis)}

  Procedure Max(Var maxKi:TNap);
    {Ef: -
     Uf: maxKi=TNap(6,Hamis)}

  Function Szamossag:Word;
    {Ef: -
     Uf: Szamossag=7}

  Procedure Inic(Var x:TNap);
    {Ef: -
     Uf: x=TNap(0,Hamis)}

  Procedure Kovetkezo(Const x:TNap; Var kovetkezoKi:TNap);
    {Ef: x.felsKod<>6
     Uf: kovetkezoKi.felsKod=x.felsKod+1}
  Procedure Elozo(Const x:TNap; Var elozoKi:TNap);
    {Ef: x.felsKod<>0
     Uf: elozozoKi.felsKod=x.felsKod-1}
{
  ...
}
  {erre nincs szksg, ezt tudja a Pascal (:=):
  Procedure LegyenEgyenlo(Var x:TNap
                          Const y:TNap);
}
  Function Egyenlo(Const x,y:TNap):Boolean;
    {Ef: ...
     Uf: ...}

  Function Kisebb(Const x,y:TNap):Boolean;
    {Ef: ...
     Uf: ...}
  Procedure Be(Var x:TNap);
    {Ef: Input ELEME ('HTF','KEDD','SZERDA'...)
     Uf: Input='HTF'  =>  x=Hetfo  ES  ...}
  Procedure Ki(Const x:TNap);
    {Ef: -
     Uf: x.felsKod=0  =>  Output='HTF'  ES  ...}
  Function HibasE(Var x:TNap):Boolean;


 Implementation

  Uses
    Crt;

  Type
    TNapS=Array [TNapK] of String[9];
  Const
    NapS:TNapS=('HTF','KEDD','SZERDA',
                'CSTRTK','PNTEK',
                'SZOMBAT','VASRNAP');

Procedure AllapotKi(Const sElo:String; Const n:TNap;
                    Const sUto:String);
Begin
  Write(sElo); {kisr szveg; pl. a vltoz neve}
  Write(' (felsKod:',n.felsKod,', hiba:',n.hiba,') ');
  Write(sUto); {pl.: soremels}
  ReadKey; {nehogy kifusson a kpernybl}
End;

  Procedure Min(Var minKi:TNap);
    {Ef: -
     Uf: minKi=TNap(0,Hamis)}
  Begin
    minKi.felsKod:=0; minKi.hiba:=False
  End;

  Procedure Max(Var maxKi:TNap);
    {Ef: -
     Uf: maxKi=TNap(6,Hamis)}
  Begin
    maxKi.felsKod:=6; maxKi.hiba:=False
  End;

  Function Szamossag:Word;
    {Ef: -
     Uf: Szamossag=7}
  Begin
    Szamossag:=7
  End;

  Procedure Inic(Var x:TNap);
    {Ef: -
     Uf: x=TNap(0,Hamis)}
  Begin
    x.felsKod:=0; x.hiba:=False
  End;

  Procedure Kovetkezo(Const x:TNap; Var kovetkezoKi:TNap);
    {Ef: x.felsKod<>6
     Uf: kovetkezoKi.felsKod=x.felsKod+1}
  Begin
    With x do
    Begin
      {Ef-ellenrzs:}
      If felsKod=6 then
      Begin
        kovetkezoKi.hiba:=True; Exit
      End;
      {mvelet-trzs:}
      kovetkezoKi.felsKod:=felsKod+1
    End;
  End;

  Procedure Elozo(Const x:TNap; Var elozoKi:TNap);
    {Ef: x.felsKod<>0
     Uf: elozozoKi.felsKod=x.felsKod-1}
  Begin
    With x do
    Begin
      {Ef-ellenrzs:}
      If felsKod=0 then
      Begin
        elozoKi.hiba:=True; Exit
      End;
      {mvelet-trzs:}
      elozoKi.felsKod:=felsKod-1
    End;
  End;

{
  ...
}
  Function Egyenlo(Const x,y:TNap):Boolean;
    {Ef: ...
     Uf: ...}
  Begin
  End;

  Function Kisebb(Const x,y:TNap):Boolean;
    {Ef: ...
     Uf: ...}
  Begin
  End;

  Procedure Be(Var x:TNap);
    {Ef: Input ELEME ('HTF','KEDD','SZERDA'...)
     Uf: Input='HTF' =>  x=Hetfo  ES  ...}
  Begin
  End;

  Procedure Ki(Const x:TNap);
    {Ef: -
     Uf: x.felsKod=0  =>  Output='HTF'  ES  ...}
  Begin
  End;

  Function HibasE(Var x:TNap):Boolean;
  Begin
    HibasE:=x.hiba; x.hiba:=False
  End;

Begin
End.
